<div class="card mw-100">
  <div class="card-header">
    <h2 class="card-title mb-0">Ciele</h2>
  </div>

  <div class="card-body">
    <div class="form-group mb-5" [formGroup]="formGroup">
      <div class="row">
        <div class="col-2">
          <fox-input-text formControlName="year"
                          pattern="^\d{4}$"
                          label="Rok"
                          maxLength="4"></fox-input-text>
        </div>
        <div class="col-2">
          <fox-select formControlName="assignmentType"
                      label="Komu priradiť"
                      [options]="assignmentTypes"></fox-select>
        </div>
        <div class="col-2">
          <fox-select *ngIf="formGroup.get('assignmentType').value === 'DEPARTMENT'"
                      formControlName="assignTo"
                      label="Oddelenie"
                      [options]="departments"></fox-select>
          <fox-select *ngIf="formGroup.get('assignmentType').value === 'GROUP'"
                      formControlName="assignTo"
                      label="Skupina"
                      [options]="groups"></fox-select>
          <fox-select *ngIf="formGroup.get('assignmentType').value === 'PERSON'"
                      formControlName="assignTo"
                      label="Osoba"
                      [options]="persons"></fox-select>
        </div>
        <div class="col-2 d-flex align-content-end flex-wrap">
          <button (click)="find()"
                  foxBtn
                  color="primary"
                  type="outline">
            <fox-icon [iconType]="searchIcon" foxPrefix></fox-icon>
            Hladať
          </button>
        </div>
        <div class="col-4">
          <h5 *ngIf="goals?.length > 0">
            {{goals | goals_weight_per_year}}
          </h5>
        </div>
      </div>
    </div>

    <app-goal-list *ngIf="goals"></app-goal-list>
  </div>
</div>

<ng-container *ngIf="formChanged$ | async"></ng-container>
<ng-container *ngIf="goals$ | async"></ng-container>
